Loading...
Searching...
No Matches
unity::shell::application::SurfaceManagerInterface Class Referenceabstract
Inheritance diagram for unity::shell::application::SurfaceManagerInterface:
[legend]
Collaboration diagram for unity::shell::application::SurfaceManagerInterface:
[legend]

## Signals

void | surfaceCreated (unity::shell::application::MirSurfaceInterface *surface)
void | surfacesRaised (const QVector< unity::shell::application::MirSurfaceInterface * > &surfaces)
void | modificationsStarted ()
void | modificationsEnded ()

## Public Member Functions

virtual void | raise (MirSurfaceInterface *surface)=0
virtual void | activate (MirSurfaceInterface *surface)=0

The documentation for this class was generated from the following file:

- include/unity/shell/application/SurfaceManagerInterface.h